<form novalidate #form="ngForm" (submit)="onSubmit($event, form)">
  <h3 class="title">Start searching for a job</h3>
  <h4 class="sub-title">
    You publish you anonymous profile and recruiters will send you proposals.
  </h4>
  <br />
  <br />
  <br />
  <h4 class="title form-title">Profile details</h4>
  <br /><br />

  <!-- industry -->
  <div class="field is-horizontal">
    <div class="field-label ">
      <label class="label">Industry</label>
    </div>
    <div class="field-body">
      <div class="field">
        <div class="control">
          <div class="select is-fullwidth">
            <select name="industry" ngModel>
              <option>-</option>
              <option *ngFor="let i of industries">{{ i }}</option>
            </select>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- end-industry -->

  <!-- Desired position -->
  <div class="field is-horizontal">
    <div class="field-label ">
      <label class="label">Desired position</label>
    </div>
    <div class="field-body">
      <div class="field">
        <div class="control">
          <input class="input" type="text" name="desiredPosition" ngModel />
        </div>
      </div>
    </div>
  </div>
  <!-- end Desired position -->

  <!-- salary -->
  <div class="field is-horizontal">
    <div class="field-label ">
      <label class="label">Minimal salary</label>
    </div>
    <div class="field-body">
      <div class="field">
        <p class="control has-icons-left">
          <input
            class="input"
            type="number"
            style="width: 40%;"
            name="minimalSalary"
            ngModel
          />
          <span class="icon is-small is-left">
            <fa-icon [icon]="faDollarSign"></fa-icon>
          </span>
        </p>
      </div>
    </div>
  </div>
  <!-- end salary -->

  <!-- Self-introduction -->
  <div class="field is-horizontal">
    <div class="field-label ">
      <label class="label">Self-introduction</label>
    </div>
    <div class="field-body">
      <div class="field">
        <div class="control">
          <textarea class="textarea" name="selfIntroduction" ngModel></textarea>
        </div>
      </div>
    </div>
  </div>
  <!-- Self-introduction -->

  <!-- skills -->
  <div class="field is-horizontal">
    <div class="field-label ">
      <label class="label">Enter your skills</label>
    </div>
    <div class="field-body" style="flex-direction: column;">
      <div class="field has-addons">
        <div class="control flex-1">
          <input
            type="text"
            class="input no-border-right"
            [(ngModel)]="skillInput"
            name="skillInput"
          />
        </div>
        <div class="control">
          <button
            class="button is-default no-border-left add-button"
            (click)="addSkill()"
          >
            <fa-icon [icon]="faPlus" style="margin-right: 5px;"></fa-icon>
            Add
          </button>
        </div>
      </div>
      <div class="field" style="padding-top: 20px;">
        <skill-item
          *ngFor="let skill of skills"
          [name]="skill.name"
        ></skill-item>
      </div>
    </div>
  </div>
  <!-- skills -->

  <!-- accomplishments -->
  <div class="field is-horizontal">
    <div class="field-label ">
      <label class="label">Accomplishments</label>
    </div>
    <div class="field-body" style="flex-direction: column;">
      <div class="field has-addons">
        <div class="control flex-1">
          <input
            type="text"
            class="input no-border-right"
            [(ngModel)]="accomplishmentInput"
            name="accomplishmentInput"
          />
        </div>
        <div class="control">
          <button
            class="button is-default no-border-left add-button"
            (click)="addAccomplishment()"
          >
            <fa-icon [icon]="faPlus" style="margin-right: 5px;"></fa-icon>
            Add
          </button>
        </div>
      </div>
      <div class="field" style="padding-top: 20px;">
        <accomplishment-item
          *ngFor="let accomplishment of accomplishments"
          [name]="accomplishment.name"
        ></accomplishment-item>
      </div>
    </div>
  </div>
  <!-- accomplishments -->

  <!-- working-locations -->
  <div class="field is-horizontal">
    <div class="field-label ">
      <label class="label">Preferred working location</label>
    </div>
    <div class="field-body" style="flex-direction: column;">
      <div class="field has-addons">
        <div class="control flex-1">
          <input
            type="text"
            class="input no-border-right"
            [(ngModel)]="workingLocationInput"
          />
        </div>
        <div class="control">
          <button
            class="button is-default no-border-left add-button"
            (click)="addWorkingLocation()"
          >
            <fa-icon [icon]="faPlus" style="margin-right: 5px;"></fa-icon>
            Add
          </button>
        </div>
      </div>
      <div class="field" style="padding-top: 20px;">
        <working-location-item
          *ngFor="let workingLocation of workingLocations"
          [name]="workingLocation.name"
        ></working-location-item>
      </div>
    </div>
  </div>
  <!-- working-locations -->

  <!-- interest -->
  <div class="field is-horizontal">
    <div class="field-label ">
      <label class="label">Interest</label>
    </div>
    <div class="field-body">
      <div class="field">
        <div class="control">
          <textarea class="textarea" name="interests" ngModel></textarea>
        </div>
      </div>
    </div>
  </div>
  <!-- interest -->

  <!-- english level -->
  <div class="field is-horizontal">
    <div class="field-label ">
      <label class="label">Your english level</label>
    </div>
    <div class="field-body flex-column radio-columns">
      <div
        class="field"
        *ngFor="let item of englishLevels; let i = index"
        (click)="selectEnglishLevel(i)"
      >
        <input
          class="is-checkradio has-background-color"
          [value]="i"
          type="radio"
          [checked]="englishLevel == i"
        />
        <label>{{ item.name }}</label>
      </div>
    </div>
  </div>
  <!-- english level -->

  <!-- employments -->
  <div class="field is-horizontal">
    <div class="field-label ">
      <label class="label">Employment options</label>
    </div>
    <div class="field-body flex-column radio-columns">
      <div
        class="field"
        *ngFor="let item of employmentOptions"
        (click)="selectEmployment(item.id)"
      >
        <input
          class="is-checkradio has-background-color"
          [value]="item.id"
          type="checkbox"
          [checked]="employments.includes(item.id)"
        />
        <label>{{ item.name }}</label>
      </div>
    </div>
  </div>

  <!-- employments -->
  <br />
  <div class="flex-row justify-between">
    <div></div>
    <button class="button is-primary" type="submit">CONTINUE</button>
  </div>
</form>
